package izayoi.servlet;

import izayoi.view.TemplateContext;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author es
 */
public class AdministrationServlet extends BasementServlet {

    /* ( Javadoc)
     * @see izayoi.servlet.BasementServlet#execute(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    protected void execute(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
        String[] reqline = parseURL(request);
        if (reqline == null) {
            response.sendError(HttpServletResponse.SC_NOT_FOUND);
            return;
        }
        String action = reqline[0] == null ? "" : reqline[0];
        if (action.equalsIgnoreCase("logout")) {
            request.getSession().invalidate();
            String path = request.getContextPath();
            if (path.equals("")) {
                path = "/";
            }
            response.sendRedirect(path);
            return;
        }

        String cmd = request.getParameter(PARAM_COMMAND);
        if(cmd == null) {
            getAdminMenu(request, response, reqline);
            return;
        }
    }

    /**
     * @param request
     * @param response
     * @param reqline
     */
    private void getAdminMenu(HttpServletRequest request, HttpServletResponse response, String[] reqline) throws IOException, ServletException {
        TemplateContext ctx = new TemplateContext("admin.txt", request, response);
        ctx.setName("Ǘ");
        ctx.finish();
    }

}
